PETSc version 3.15.5
Fix/Edit manual page

# PCFactorSetMatOrderingType

Sets the ordering routine (to reduce fill) to be used in the LU, ILU, Cholesky, and ICC factorizations.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCFactorSetMatOrderingType(PC pc,MatOrderingType ordering)

Logically Collective on PC

### Input Parameters

| pc | - the preconditioner context
| ordering | - the matrix ordering name, for example, MATORDERINGND or MATORDERINGRCM

### Options Database Key

| -pc_factor_mat_ordering_type <nd,rcm,...,external> | - Sets ordering routine

### Notes

nested dissection is used by default

For Cholesky and ICC and the SBAIJ format the only reordering available is natural since only the upper half of the matrix is stored and reordering this matrix is very expensive.

You can use SeqAIJ matrix with Cholesky and ICC and use any ordering

external means PETSc will not compute an ordering and the package will use its own ordering, for MATSOLVERCHOLMOD and MATSOLVERUMFPACK

### See Also

MatOrderingType

### Level

intermediate

### Location

src/ksp/pc/impls/factor/factor.c

### Implementations

PCFactorSetMatOrderingType_Factor in src/ksp/pc/impls/factor/factimpl.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages